%% Calculamos la autocorrelación

%hcorr = signalblks.Crosscorrelator;
%Rxx = step(hcorr, x, x)

% Usamos 'coeff' para normalizar

Z = xcorr(x, 'coeff');

% añadimos unos ceritos para que la representación quede un poco mejor
Z = [0 Z 0];

minZ = min(Z);
maxZ = max(Z);

% Confinamos la respresentación al intervalo [-1 1] chips.

eje_x_grueso = linspace(-1, 1, length(Z)); %Crea un eje de -1 a 1 con Length(Z) divisiones

if r/2 == floor(r/2)
    eje_x = linspace(-1, 1, r*length(Z)-1); %Crea un eje de -1 a 1 con r*Length(Z) divisiones
else
    eje_x = linspace(-1, 1, r*length(Z));
end
   
%vq = interp1(x,v,xq) returns interpolated values of a 1-D function at specific 
%query points using linear interpolation. Vector x contains the sample points, 
%and v contains the corresponding values, v(x). Vector xq contains the coordinates 
%of the query points.

Z = interp1(eje_x_grueso, Z, eje_x);



 


